Debit Store
curl --request POST \
--url https://nini.monieswitch.com/branch/store/debit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pin": "2222",
"amount": 600,
"storeId": "9ab67f41-10c9-4f52-adfc-31f460980966",
"narration": "First terminal transfer"
}
'import requests
url = "https://nini.monieswitch.com/branch/store/debit"
payload = {
"pin": "2222",
"amount": 600,
"storeId": "9ab67f41-10c9-4f52-adfc-31f460980966",
"narration": "First terminal transfer"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pin: '2222',
amount: 600,
storeId: '9ab67f41-10c9-4f52-adfc-31f460980966',
narration: 'First terminal transfer'
})
};
fetch('https://nini.monieswitch.com/branch/store/debit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Wallet transfer successfully completed.",
"data": {
"paidAt": "2025-01-02T15:37:50.547Z",
"reference": "g9lAfajGnGoLAztOLeahqIcgDMo0A3aBDvNO",
"totalAmount": 100,
"charges": 0,
"status": "SUCCESS",
"amount": 100,
"merchantId": "bb80715c-dcbc-460c-a8e4-203b63b03fce",
"walletId": "1e04b3a0-eabd-48b4-b5ba-91ec1d15a103",
"category": "STORE_TO_MERCHANT",
"storeId": "9ab67f41-10c9-4f52-adfc-31f460980966",
"storeName": "Lambe Shop",
"toWalletId": "cd91b52e-e9b0-4dd7-b2ff-eaa2076614c6",
"narration": "First terminal transfer",
"fromWalletId": "1e04b3a0-eabd-48b4-b5ba-91ec1d15a103",
"beneficiaryBankName": "Xpress Wallet",
"beneficiaryBankCode": "999270",
"providerWalletId": "e24bad94-6518-4b99-9b24-c32a0863d8da",
"beneficiaryAccountNumber": "4439862547",
"beneficiaryAccountName": "Nwoko",
"originatorBankCode": "999270",
"originatorBankName": "Xpress Wallet",
"originatorAccountName": "Neyosoft/Lambe Shop",
"originatorAccountNumber": "4478164596",
"description": "₦100.00 transferred to Merchant account",
"transactionId": "2f874441-768a-412b-92d3-6f28ad57a80c"
}
}Branches
Debit Store
POST
/
branch
/
store
/
debit
Debit Store
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I